SELECT * FROM tblFiles WHERE	ContentType='image/jpeg'
GO
ALTER PROCEDURE [dbo].[sp_products_page]
	@PageNumber INT,
	@PageSize INT,
	@PageCount INT OUTPUT
AS
BEGIN 
	DECLARE @StartRow INT
	DECLARE @EndRow INT
 
	SET @StartRow = ((@PageNumber - 1) * @PageSize) + 1
	SET @EndRow = @PageNumber * @PageSize;
      
	SELECT p.*,
			ROW_NUMBER() OVER (ORDER BY Id ASC) AS ROWNUMBER
	INTO #Results
	FROM    tblFiles p 
	WHERE	ContentType='image/jpeg'

	DECLARE @RecordCount INT
	SELECT @RecordCount = COUNT(*) FROM #Results
    
	SET @PageCount = CEILING(CAST(@RecordCount AS DECIMAL(10, 2)) / CAST(@PageSize AS DECIMAL(10, 2)))

	SELECT *
	FROM   #Results
	WHERE ROWNUMBER BETWEEN @StartRow AND @EndRow
END